ServerEvents.recipes(e=> {
    //手动曲柄
    e.remove({ output: 'create:hand_crank' })
    e.custom(
        {
        "type":"immersiveengineering:blueprint",
        "category":"components",
        "inputs":[{"base_ingredient":{"tag":"forge:rods/treated_wood"},"count":2},
        {"item":"solarcraft:runic_log","count":2},
        {"item":"create:shaft"},
        ],
        "result":{"item":"create:hand_crank","count":1}
        }  
    )
    //齿轮
    e.remove({ output: 'create:cogwheel' })
    e.custom(
        {
        "type":"immersiveengineering:blueprint",
        "category":"components",
        "inputs":[{"base_ingredient":{"tag":"forge:rods/treated_wood"},"count":1},
        {"tag":"minecraft:planks","count":12},
        {"item":"create:shaft","count":4},
        ],
        "result":{"item":"create:cogwheel","count":16}
        }  
    )
    //大齿轮
    e.remove({ output: 'create:large_cogwheel' })
    e.custom(
        {
        "type":"immersiveengineering:blueprint",
        "category":"components",
        "inputs":[{"base_ingredient":{"tag":"forge:rods/treated_wood"},"count":4},
        {"tag":"minecraft:planks","count":18},
        {"item":"create:shaft","count":4},
        ],
        "result":{"item":"create:large_cogwheel","count":16}
        }  
    )
    //流体管道
    e.remove({ output: 'create:fluid_pipe' })
    e.custom(
        {
        "type":"immersiveengineering:blueprint",
        "category":"components",
        "inputs":[{"base_ingredient":{"tag":"forge:plates/constantan"},"count":2},
        {"tag":"forge:ingots/copper","count":6},
        ],
        "result":{"item":"create:fluid_pipe","count":12}
        }  
    )
    //传动杆
    e.remove({ output: 'create:shaft' })
    e.custom(
        {
        "type":"immersiveengineering:blueprint",
        "category":"molds",
        "inputs":[{"base_ingredient":{"tag":"create:create_ingots"},"count":8},
        {"item":"immersiveengineering:wirecutter"}],
        "result":{"item":"create:shaft","count":24}
        }  
    )
    //搅拌头
    e.remove({ output: 'create:whisk'})
    e.custom(
        {
        "type":"immersiveengineering:blueprint",
        "category":"components",
        "inputs":[{"base_ingredient":{"tag":"forge:plates/iron"},"count":6},
        {"item":"create:andesite_alloy","count":4},
        {"item":"create:shaft","count":2},
        ],
        "result":{"item":"create:whisk"}
        }  
    )






})
